﻿using WinLog;

IHost host = Host.CreateDefaultBuilder(args)
    .ConfigureServices((hostContext, services) =>
    {
        _ = services.AddSingleton(WinLog.Models.Binder.AppSettings.Get(hostContext.Configuration));
        _ = services.AddHostedService<Worker>();
    })
    .UseWindowsService()
    .Build();

await host.RunAsync();